using System;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RapidLayoutTutorial
{
    public class RapidLayoutTutorial : Form
    {
        public RapidLayoutTutorial()
        {
            InitializeComponent();
            this.SetStyle(ControlStyles.AllPaintingInWmPaint, true);

            listBox.SelectedIndex = 0;
            contentPanel.SizeChanged += new EventHandler(contentPanel_SizeChanged);
            
        }

        void contentPanel_SizeChanged(object sender, EventArgs e)
        {
 //           throw new Exception("The method or operation is not implemented.");
        }

        private void listBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.SuspendLayout();
            contentPanel.Controls.Clear();
            if (listBox.SelectedIndex == 0)
            {
                RapidLayoutControl item = new RapidLayoutControl();
                item.Dock = DockStyle.Fill;
                contentPanel.Controls.Add(item);
            }
            else if (listBox.SelectedIndex == 1)
            {
                NameAndAddress item = new NameAndAddress();
                item.Dock = DockStyle.Fill;
                contentPanel.Controls.Add(item);
            }
            else if (listBox.SelectedIndex == 2)
            {
                Calculator item = new Calculator();
                item.Dock = DockStyle.Fill;
                contentPanel.Controls.Add(item);
            }
            this.ResumeLayout();
        }
        protected override void OnLayout(LayoutEventArgs levent)
        {
            base.OnLayout(levent);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Close();
        }
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.IContainer components = null;

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing && (components != null))
			{
				components.Dispose();
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			Jalindi.RapidLayout.Connections connections1 = new Jalindi.RapidLayout.Connections();
			Jalindi.RapidLayout.Connections connections2 = new Jalindi.RapidLayout.Connections();
			Jalindi.RapidLayout.HorizontalAligner horizontalAligner1 = new Jalindi.RapidLayout.HorizontalAligner(Jalindi.RapidLayout.HorizontalAlignment.Justify);
			Jalindi.RapidLayout.AlignerControl alignerControl1 = new Jalindi.RapidLayout.AlignerControl();
			Jalindi.RapidLayout.Connections connections3 = new Jalindi.RapidLayout.Connections();
			this.horizontalGuide1 = new Jalindi.RapidLayout.HorizontalGuide();
			this.verticalGuide1 = new Jalindi.RapidLayout.VerticalGuide();
			this.button1 = new System.Windows.Forms.Button();
			this.rapidLayoutPanel1 = new Jalindi.RapidLayout.RapidLayoutPanel();
			this.listBox = new System.Windows.Forms.ListBox();
			this.rapidLayoutPanel2 = new Jalindi.RapidLayout.RapidLayoutPanel();
			this.contentPanel = new System.Windows.Forms.Panel();
			this.fontDialog1 = new System.Windows.Forms.FontDialog();
			this.rapidLayoutPanel2.SuspendLayout();
			this.SuspendLayout();
			// 
			// horizontalGuide1
			// 
			this.horizontalGuide1.Bottom = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Bottom);
			this.horizontalGuide1.Top = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.SpringAndPreferredLength, Jalindi.RapidLayout.Side.Top);
			// 
			// verticalGuide1
			// 
			this.verticalGuide1.Left = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.Spring, Jalindi.RapidLayout.Side.Left, 0, 2);
			this.verticalGuide1.Right = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.Spring, Jalindi.RapidLayout.Side.Right, 0, 3);
			// 
			// button1
			// 
			connections1.Bottom = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Bottom);
			connections1.Height = new Jalindi.RapidLayout.InternalConnection(Jalindi.RapidLayout.Constraint.PreferredLength);
			connections1.Left = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.SpringAndPreferredLength, Jalindi.RapidLayout.Side.Left);
			connections1.Right = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Right);
			connections1.Top = new Jalindi.RapidLayout.ExternalConnection(this.horizontalGuide1, Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Bottom);
			connections1.Width = new Jalindi.RapidLayout.InternalConnection(Jalindi.RapidLayout.Constraint.PreferredLength);
			this.rapidLayoutPanel2.SetConnections(this.button1, connections1);
			this.button1.Location = new System.Drawing.Point(661, 265);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(45, 23);
			this.button1.TabIndex = 1;
			this.button1.Text = "Close";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// rapidLayoutPanel1
			// 
			this.rapidLayoutPanel1.Location = new System.Drawing.Point(0, 0);
			this.rapidLayoutPanel1.Name = "rapidLayoutPanel1";
			this.rapidLayoutPanel1.SerialNumber = null;
			this.rapidLayoutPanel1.TabIndex = 0;
			// 
			// listBox
			// 
			connections2.Bottom = new Jalindi.RapidLayout.ExternalConnection(this.horizontalGuide1, Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Top);
			connections2.Height = new Jalindi.RapidLayout.InternalConnection(Jalindi.RapidLayout.Constraint.Spring);
			connections2.Left = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Left);
			connections2.Right = new Jalindi.RapidLayout.ExternalConnection(this.verticalGuide1, Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Left);
			connections2.Top = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Top);
			connections2.Width = new Jalindi.RapidLayout.InternalConnection(Jalindi.RapidLayout.Constraint.Spring);
			this.rapidLayoutPanel2.SetConnections(this.listBox, connections2);
			this.listBox.IntegralHeight = false;
			this.listBox.Items.AddRange(new object[] {
														 "Rapid Layout .NET",
														 "Name and Address",
														 "Calculator"});
			this.listBox.Location = new System.Drawing.Point(6, 6);
			this.listBox.Name = "listBox";
			this.listBox.Size = new System.Drawing.Size(276, 253);
			this.listBox.TabIndex = 0;
			this.listBox.SelectedIndexChanged += new System.EventHandler(this.listBox_SelectedIndexChanged);
			// 
			// rapidLayoutPanel2
			// 
			this.rapidLayoutPanel2.Controls.Add(this.contentPanel);
			this.rapidLayoutPanel2.Controls.Add(this.button1);
			this.rapidLayoutPanel2.Controls.Add(this.listBox);
			this.rapidLayoutPanel2.Dock = System.Windows.Forms.DockStyle.Fill;
			horizontalAligner1.Alignment = Jalindi.RapidLayout.HorizontalAlignment.Justify;
			alignerControl1.Control = this.button1;
			horizontalAligner1.Controls.Add(alignerControl1);
			this.rapidLayoutPanel2.HorizontalAligners.Add(horizontalAligner1);
			this.rapidLayoutPanel2.HorizontalGuides.Add(this.horizontalGuide1);
			this.rapidLayoutPanel2.Location = new System.Drawing.Point(0, 0);
			this.rapidLayoutPanel2.Name = "rapidLayoutPanel2";
			this.rapidLayoutPanel2.SerialNumber = "0DE-0022B-0C";
			this.rapidLayoutPanel2.Size = new System.Drawing.Size(712, 294);
			this.rapidLayoutPanel2.TabIndex = 1;
			this.rapidLayoutPanel2.VerticalGuides.Add(this.verticalGuide1);
			// 
			// contentPanel
			// 
			this.contentPanel.BackColor = System.Drawing.SystemColors.Control;
			connections3.Bottom = new Jalindi.RapidLayout.ExternalConnection(this.horizontalGuide1, Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Bottom);
			connections3.Height = new Jalindi.RapidLayout.InternalConnection(Jalindi.RapidLayout.Constraint.Spring);
			connections3.Left = new Jalindi.RapidLayout.ExternalConnection(this.verticalGuide1, Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Right);
			connections3.Right = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Right);
			connections3.Top = new Jalindi.RapidLayout.ExternalConnection(Jalindi.RapidLayout.Constraint.PreferredLength, Jalindi.RapidLayout.Side.Top);
			connections3.Width = new Jalindi.RapidLayout.InternalConnection(Jalindi.RapidLayout.Constraint.Spring);
			this.rapidLayoutPanel2.SetConnections(this.contentPanel, connections3);
			this.contentPanel.Location = new System.Drawing.Point(288, 6);
			this.contentPanel.Name = "contentPanel";
			this.contentPanel.Size = new System.Drawing.Size(418, 253);
			this.contentPanel.TabIndex = 3;
			// 
			// RapidLayoutTutorial
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(712, 294);
			this.Controls.Add(this.rapidLayoutPanel2);
			this.Name = "RapidLayoutTutorial";
			this.Text = "Rapid Layout Samples";
			this.rapidLayoutPanel2.ResumeLayout(false);
			this.ResumeLayout(false);

		}

		#endregion

		private Jalindi.RapidLayout.RapidLayoutPanel rapidLayoutPanel1;
		private System.Windows.Forms.ListBox listBox;
		private Jalindi.RapidLayout.RapidLayoutPanel rapidLayoutPanel2;
		private Jalindi.RapidLayout.HorizontalGuide horizontalGuide1;
		private System.Windows.Forms.Button button1;
		private Jalindi.RapidLayout.VerticalGuide verticalGuide1;
		private System.Windows.Forms.FontDialog fontDialog1;
		private System.Windows.Forms.Panel contentPanel;
	}
}